* { box-sizing: border-box; }
html { scroll-behavior: smooth; }
body { 
    font-family: 'Plus Jakarta Sans', sans-serif; 
    /* background: #09111F;  */
    background: white; 
    color: #212121; 
}

/* ── Scrollbar ── */
::-webkit-scrollbar { width: 6px; }
::-webkit-scrollbar-track { background: #09111F; }
::-webkit-scrollbar-thumb { background: #00C5CD44; border-radius: 3px; }


.nav-link { position: relative;  transition: color .2s; font-size: .875rem; font-weight: 500; }
.nav-link::after { content:''; position:absolute; left:0; bottom:-3px; width:0; height:1.5px; background:#00C5CD; transition:width .25s; }
.nav-link:hover { }
.nav-link:hover::after { width: 100%; }

.anim_trans_all{
    transition: all .2s, transform .15s;
}

/* ── Fade-in on scroll ── */
.reveal { opacity: 0; transform: translateY(28px); transition: opacity .6s ease, transform .6s ease; }
.reveal.visible { opacity: 1; transform: translateY(0); }

/* ── Hero ── */
.hero-badge {
    display: inline-flex; align-items: center; gap: 8px;
    padding: 6px 16px; border-radius: 9999px;
    border: 1px solid #F4E8DE;
    background: #FFC3750D;
    font-size: .75rem; font-weight: 600; color: #00C5CD;
    letter-spacing: .06em; text-transform: uppercase;
}


/* ===== Client Logo ===== */
/* Custom animation for the infinite scroll */
@keyframes marquee {
    0% { transform: translateX(0%); }
    100% { transform: translateX(-50%); }
}

.animate-marquee {
    /* Adjust the '30s' to make it scroll faster or slower */
    animation: marquee 30s linear infinite;
    display: flex;
    width: max-content;
}

/* Optional: Pause the animation when hovered */
.animate-marquee:hover {
    animation-play-state: paused;
}